/// Files: net/netfilter/nf_tables_api.c
/// Fix: 335178d5429c4cee61b58f4ac80688f556630818
/// Detect-To: e50092404c1bc7aaeb0a0f4077fa6f07b073a20f
/// Version: 1.0.7

virtual detect

@err_flowtable@
identifier ctx, flowtable;
iterator name list_for_each_entry_safe;
position p;
@@

nft_flush_table(struct nft_ctx *ctx)
{
	...
*	list_for_each_entry_safe(flowtable, ..., &ctx->table->flowtables, ...) {
		... when != nft_is_active_next(ctx->net, flowtable)
*		nft_delflowtable@p(ctx, flowtable)
		... when any
	}
	...
}

@err_obj@
identifier ctx, obj;
iterator name list_for_each_entry_safe;
position p;
@@

nft_flush_table(struct nft_ctx *ctx)
{
	...
*	list_for_each_entry_safe(obj, ..., &ctx->table->objects, ...) {
		... when != nft_is_active_next(ctx->net, obj)
*		nft_delobj@p(ctx, obj)
		... when any
	}
	...
}

@script:python depends on detect@
p << err_flowtable.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2021-3635')

@script:python depends on detect@
p << err_obj.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2021-3635')
