/// Files: arch/powerpc/kernel/ptrace/ptrace-fpu.c arch/powerpc/kernel/ptrace.c
/// Fix: 8e1278444446fc97778a5e5c99bca1ce0bbc5ec9
/// Fixes: 87fec0514f613f8ac43c01b0bc0bc7072c5d10ae

virtual detect

@err@
identifier fpidx, child;
position p;
statement S;
@@

\(ptrace_get_fpr\|ptrace_put_fpr\|arch_ptrace\)(struct task_struct *child, ...)
{
	...
	if (fpidx < (PT_FPSCR - PT_FPR0)) {
(
*		memcpy@p(..., &child->thread.TS_FPR(fpidx), sizeof(long));
|
*		memcpy@p(..., &child->thread.fp_state.fpr, sizeof(long));
|
*		memcpy@p(&child->thread.TS_FPR(fpidx), ..., sizeof(long));
|
*		memcpy@p(&child->thread.fp_state.fpr, ..., sizeof(long));
)
	} else
		S
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2022-32981')
