/// Files: drivers/block/floppy.c
/// Fix: 233087ca063686964a53c829d547c7571e3f67bf
/// Detect-To: v2.6.12-rc2
/// Version: 1.0.7

virtual detect
virtual config

@err_fd_ioctl@
identifier cmd, drive;
position p;
@@

\(fd_locked_ioctl\|fd_ioctl\)(...)
{
	...
	set_floppy(drive);
	...
*	raw_cmd_ioctl@p(cmd, ...)
	...
	process_fd_request();
	...
}

@err_floppy_raw_cmd_ioctl@
identifier cmd, drive;
position p;
@@

\(floppy_raw_cmd_ioctl\)(...)
{
	...
	set_floppy(drive);
	...
*	raw_cmd_ioctl@p(cmd, ...)
	...
	process_fd_request();
	...
}


@script:python depends on detect@
p << err_fd_ioctl.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2022-33981')

@script:python depends on config@
p << err_floppy_raw_cmd_ioctl.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CONFIG_BLK_DEV_FD_RAWCMD')
